Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 064723bf3f830a2eca6b30a1ebfa1f5834e683b2)
+++ src/sas/guiframe/gui_manager.py	(revision 091e71a2c396c66b4a4d8a9536d715b2f2210daf)
@@ -3042,9 +2997,9 @@
                 _, size_y = self.GetToolBar().GetSizeTuple()
         return size_y
-    
+
     def set_schedule_full_draw(self, panel=None, func='del'):
         """
         Add/subtract the schedule full draw list with the panel given
-        
+
         :param panel: plot panel
         :param func: append or del [string]
@@ -3054,5 +3009,5 @@
         if func == 'append':
             if not panel in self.schedule_full_draw_list:
-                self.schedule_full_draw_list.append(panel) 
+                self.schedule_full_draw_list.append(panel)
         # remove this panel from schedule list
         elif func == 'del':
@@ -3065,11 +3020,11 @@
             self.schedule = False
         else:
-            self.schedule = True    
-        
+            self.schedule = True
+
     def full_draw(self):
         """
         Draw the panels with axes in the schedule to full dwar list
         """
-        
+
         count = len(self.schedule_full_draw_list)
         #if not self.schedule:
@@ -3097,5 +3052,5 @@
                 # while any panel is capture.
                 frame = panel.frame
-                
+
                 if not frame.GetCapture():
                     # draw if possible
@@ -3105,11 +3060,11 @@
                 # Check if the panel is not shown
                 flag = frame.IsShown()
-                frame.Show(flag)  
+                frame.Show(flag)
             except:
                 pass
-     
+
         # Draw all panels 
         if count == 1:
-            f_draw(self.schedule_full_draw_list[0])  
+            f_draw(self.schedule_full_draw_list[0])
         else:
             map(f_draw, self.schedule_full_draw_list)
@@ -3119,17 +3074,17 @@
         else:
             self.set_schedule(True)
-        
-    def set_schedule(self, schedule=False):  
+
+    def set_schedule(self, schedule=False):
         """
         Set schedule
         """
         self.schedule = schedule
-                
-    def get_schedule(self):  
+
+    def get_schedule(self):
         """
         Get schedule
         """
         return self.schedule
-    
+
     def on_set_plot_focus(self, panel):
         """
@@ -3139,10 +3094,10 @@
             return
         #self.set_plot_unfocus()
-        panel.on_set_focus(None)  
+        panel.on_set_focus(None)
         # set focusing panel
-        self.panel_on_focus = panel  
+        self.panel_on_focus = panel
         self.set_panel_on_focus(None)
 
-    def set_plot_unfocus(self): 
+    def set_plot_unfocus(self):
         """
         Un focus all plot panels
@@ -3150,9 +3105,9 @@
         for plot in self.plot_panels.values():
             plot.on_kill_focus(None)
-    
+
     def get_window_size(self):
         """
-        Get window size 
-        
+        Get window size
+
         :return size: tuple
         """
@@ -3163,5 +3118,5 @@
                 height -= 45
         return (width, height)
-            
+
     def _onDrawIdle(self, *args, **kwargs):
         """
@@ -3175,9 +3130,9 @@
         except:
             pass
-            
+
         # restart idle        
         self._redraw_idle(*args, **kwargs)
 
-            
+
     def _redraw_idle(self, *args, **kwargs):
         """
@@ -3185,7 +3140,7 @@
         """
         # restart idle   
-        self.idletimer.Restart(100*TIME_FACTOR, *args, **kwargs)
-
-        
+        self.idletimer.Restart(100 * TIME_FACTOR, *args, **kwargs)
+
+
 class DefaultPanel(wx.Panel, PanelBase):
     """
@@ -3202,5 +3157,5 @@
         wx.Panel.__init__(self, parent, *args, **kwds)
         PanelBase.__init__(self, parent)
-    
+
 
 
@@ -3213,11 +3168,11 @@
         When initialised
         """
-        pos, size, self.is_max = self.window_placement((GUIFRAME_WIDTH, 
-                                           GUIFRAME_HEIGHT))     
-        self.frame = ViewerFrame(parent=None, 
-                             title=APPLICATION_NAME, 
-                             pos=pos, 
-                             gui_style = DEFAULT_STYLE,
-                             size=size)
+        pos, size, self.is_max = self.window_placement((GUIFRAME_WIDTH,
+                                                        GUIFRAME_HEIGHT))
+        self.frame = ViewerFrame(parent=None,
+                                 title=APPLICATION_NAME,
+                                 pos=pos,
+                                 gui_style=DEFAULT_STYLE,
+                                 size=size)
         self.frame.Hide()
         if not IS_WIN:
@@ -3234,20 +3189,20 @@
         try:
             if os.path.isfile(SPLASH_SCREEN_PATH):
-                self.s_screen = self.display_splash_screen(parent=self.frame, 
-                                        path=SPLASH_SCREEN_PATH)
+                self.s_screen = self.display_splash_screen(parent=self.frame,
+                                                           path=SPLASH_SCREEN_PATH)
             else:
-                self.frame.Show()   
+                self.frame.Show()
         except:
             if self.s_screen is not None:
                 self.s_screen.Close()
             msg = "Cannot display splash screen\n"
-            msg += str (sys.exc_value)
+            msg += str(sys.exc_value)
             logging.error(msg)
             self.frame.Show()
 
         self.SetTopWindow(self.frame)
-  
+
         return True
-    
+
     def maximize_win(self):
         """
@@ -3266,5 +3221,5 @@
         if len(sys.argv) >= 2:
             cmd = sys.argv[0].lower()
-            basename  = os.path.basename(cmd)
+            basename = os.path.basename(cmd)
             app_base = str(APPLICATION_NAME).lower()
             if os.path.isfile(cmd) or basename.lower() == app_base:
@@ -3274,5 +3229,5 @@
                 if basename.lower() in [app_py, app_exe, app_app, app_base]:
                     data_base = sys.argv[1]
-                    input_file = os.path.normpath(os.path.join(DATAPATH, 
+                    input_file = os.path.normpath(os.path.join(DATAPATH,
                                                                data_base))
         if input_file is None:
@@ -3280,13 +3235,13 @@
         if self.frame is not None:
             self.frame.set_input_file(input_file=input_file)
-         
-    def clean_plugin_models(self, path): 
+
+    def clean_plugin_models(self, path):
         """
         Delete plugin models  in app folder
-        
+
         :param path: path of the plugin_models folder in app
         """
         # do it only the first time app loaded
-        # delete unused model folder    
+        # delete unused model folder
         model_folder = os.path.join(PATH_APP, path)
         if os.path.exists(model_folder) and os.path.isdir(model_folder):
@@ -3300,12 +3255,12 @@
                     logging.error("gui_manager.clean_plugin_models:\n  %s" \
                                   % sys.exc_value)
-              
+
     def set_manager(self, manager):
         """
         Sets a reference to the application manager
-        of the GUI manager (Frame) 
+        of the GUI manager (Frame)
         """
         self.frame.set_manager(manager)
-        
+
     def build_gui(self):
         """
@@ -3318,14 +3273,14 @@
             raise
         self.frame.build_gui()
-        
+
     def set_welcome_panel(self, panel_class):
         """
         Set the welcome panel
-        
+
         :param panel_class: class of the welcome panel to be instantiated
-        
+
         """
         self.frame.welcome_panel_class = panel_class
-        
+
     def add_perspective(self, perspective):
         """
@@ -3333,5 +3288,5 @@
         """
         self.frame.add_perspective(perspective)
-    
+
     def window_placement(self, size):
         """
@@ -3350,8 +3305,8 @@
                 displayRect = screen.GetClientArea()
                 break
-        
-        posX, posY, displayWidth, displayHeight = displayRect        
+
+        posX, posY, displayWidth, displayHeight = displayRect
         customWidth, customHeight = size
-        
+
         # If the custom size is default, set 90% of the screen size
         if customWidth <= 0 and customHeight <= 0:
@@ -3367,5 +3322,5 @@
             if customHeight > displayHeight:
                 customHeight = displayHeight
-            
+
         # Note that when running Linux and using an Xming (X11) server on a PC
         # with a dual  monitor configuration, the reported display size may be
@@ -3374,30 +3329,30 @@
         # screen 'too big'.  If so, we assume a smaller width which means the
         # application will be placed towards the left hand side of the screen.
-        
+
         # If dual screen registered as 1 screen. Make width half.
         # MAC just follows the default behavior of pos
         if IS_WIN:
-            if displayWidth > (displayHeight*2):
-                if (customWidth == displayWidth):
-                    customWidth = displayWidth/2
+            if displayWidth > (displayHeight * 2):
+                if customWidth == displayWidth:
+                    customWidth = displayWidth / 2
                 # and set the position to be the corner of the screen.
                 posX = 0
                 posY = 0
-                
+
             # Make the position the middle of the screen. (Not 0,0)
             else:
-                posX = (displayWidth - customWidth)/2
-                posY = (displayHeight - customHeight)/2
-        # Return the suggested position and size for the application frame.    
+                posX = (displayWidth - customWidth) / 2
+                posY = (displayHeight - customHeight) / 2
+        # Return the suggested position and size for the application frame.
         return (posX, posY), (customWidth, customHeight), is_maximized
 
-    
-    def display_splash_screen(self, parent, 
+
+    def display_splash_screen(self, parent,
                               path=SPLASH_SCREEN_PATH):
         """Displays the splash screen.  It will exactly cover the main frame."""
-       
+
         # Prepare the picture.  On a 2GHz intel cpu, this takes about a second.
         image = wx.Image(path, wx.BITMAP_TYPE_PNG)
-        image.Rescale(SPLASH_SCREEN_WIDTH, 
+        image.Rescale(SPLASH_SCREEN_WIDTH,
                       SPLASH_SCREEN_HEIGHT, wx.IMAGE_QUALITY_HIGH)
         bm = image.ConvertToBitmap()
@@ -3413,8 +3368,8 @@
         # case the splash screen disappears upon entering the event loop.
         s_screen = wx.SplashScreen(bitmap=bm,
-                                   splashStyle=(wx.SPLASH_TIMEOUT|
+                                   splashStyle=(wx.SPLASH_TIMEOUT |
                                                 wx.SPLASH_CENTRE_ON_SCREEN),
-                                   style=(wx.SIMPLE_BORDER|
-                                          wx.FRAME_NO_TASKBAR|
+                                   style=(wx.SIMPLE_BORDER |
+                                          wx.FRAME_NO_TASKBAR |
                                           wx.FRAME_FLOAT_ON_PARENT),
                                    milliseconds=SS_MAX_DISPLAY_TIME,
@@ -3427,6 +3382,6 @@
         s_screen.Show()
         return s_screen
-        
-        
+
+
     def on_close_splash_screen(self, event):
         """
@@ -3442,5 +3397,5 @@
     Frame for panels
     """
-    def __init__(self, parent, panel, title="Untitled", size=(300,200)):
+    def __init__(self, parent, panel, title="Untitled", size=(300, 200)):
         """
         comment
@@ -3456,10 +3411,10 @@
             self.set_panel(panel)
         self.Show(False)
-    
+
     def show_data_panel(self, action):
         """
         """
         self.parent.show_data_panel(action)
-        
+
     def set_panel(self, panel):
         """
@@ -3471,5 +3426,5 @@
         width, height = self.parent._get_panels_size(panel)
         if hasattr(panel, "CENTER_PANE") and panel.CENTER_PANE:
-            width *= 0.6  
+            width *= 0.6
         self.SetSize((width, height))
         self.parent.put_icon(self)
@@ -3477,5 +3432,5 @@
         self.Bind(wx.EVT_CLOSE, self.OnClose)
         self.Show(False)
-    
+
     def set_panel_focus(self, event):
         """
@@ -3484,5 +3439,5 @@
             self.panel.SetFocus()
             self.parent.panel_on_focus = self.panel
-        
+
     def OnClose(self, event):
         """
@@ -3490,6 +3445,6 @@
         """
         self.panel.on_close(event)
-        
-if __name__ == "__main__": 
+
+if __name__ == "__main__":
     app = ViewApp(0)
     app.MainLoop()
